org.apache.fop.afp

## Class AFPImageObjectInfo

- java.lang.Object
- - org.apache.fop.afp.AFPDataObjectInfo
  - - org.apache.fop.afp.AFPImageObjectInfo

    public class AFPImageObjectInfo
    extends AFPDataObjectInfo

A list of parameters associated with an image

### Field Summary

### Fields inherited from class org.apache.fop.afp.AFPDataObjectInfo

`DEFAULT_MAPPING_OPTION`

### Constructor Summary

Constructors
Constructor and Description
`AFPImageObjectInfo()` Default constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBitsPerPixel()` Returns the number of bits used per pixel
`int` `getCompression()` Returns the compression type
`boolean` `hasCompression()` Returns true if this image uses compression
`boolean` `isColor()` Returns true if this is a color image
`boolean` `isSubtractive()` Indicates whether additive or subtractive mode is set.
`void` `setBitsPerPixel(int bitsPerPixel)` Sets the number of bits per pixel
`void` `setColor(boolean color)` Sets if this image is color
`void` `setCompression(int compression)` Sets the compression used with this image
`void` `setSubtractive(boolean subtractive)` Set either additive or subtractive mode (used for ASFLAG).
`String` `toString()`

### Methods inherited from class org.apache.fop.afp.AFPDataObjectInfo

`getData, getDataHeight, getDataHeightRes, getDataWidth, getDataWidthRes, getMappingOption, getMimeType, getObjectAreaInfo, getObjectType, getResourceInfo, getTransparencyMask, getUri, isCreatePageSegment, setCreatePageSegment, setData, setDataHeight, setDataHeightRes, setDataWidth, setDataWidthRes, setMappingOption, setMimeType, setObjectAreaInfo, setResourceInfo, setTransparencyMask, setUri`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AFPImageObjectInfo

    public AFPImageObjectInfo()

Default constructor

### Method Detail

#### setBitsPerPixel

    public void setBitsPerPixel(int bitsPerPixel)

Sets the number of bits per pixel

Parameters:
  `bitsPerPixel` - the number of bits per pixel

#### setColor

    public void setColor(boolean color)

Sets if this image is color

Parameters:
  `color` - true if this is a color image

#### getBitsPerPixel

    public int getBitsPerPixel()

Returns the number of bits used per pixel

Returns:
  the number of bits used per pixel

#### isColor

    public boolean isColor()

Returns true if this is a color image

Returns:
  true if this is a color image

#### hasCompression

    public boolean hasCompression()

Returns true if this image uses compression

Returns:
  true if this image uses compression

#### getCompression

    public int getCompression()

Returns the compression type

Returns:
  the compression type

#### setCompression

    public void setCompression(int compression)

Sets the compression used with this image

Parameters:
  `compression` - the type of compression used with this image

#### setSubtractive

    public void setSubtractive(boolean subtractive)

Set either additive or subtractive mode (used for ASFLAG).

Parameters:
  `subtractive` - true for subtractive mode, false for additive mode

#### isSubtractive

    public boolean isSubtractive()

Indicates whether additive or subtractive mode is set.

Returns:
  true for subtractive mode, false for additive mode

#### toString

    public String toString()

Overrides:
  `toString` in class `AFPDataObjectInfo`